Package com.xebialabs.xlrelease.api.v1

# Interface EnvironmentStageApi

All Superinterfaces:
  `ApiService`

@Path("/api/v1/environments/stages") @Consumes("application/json") @Produces("application/json") public interface EnvironmentStageApi extends ApiService

- ## Field Summary

  ### Fields inherited from interface com.xebialabs.xlrelease.api.ApiService

  `DEFAULT_RESULTS_PER_PAGE, DEFAULT_RESULTS_PER_PAGE_STRING, DEPTH, ORDER_BY, PAGE, PAGE_IS_OFFSET, RESULTS_PER_PAGE, ROLE_IDS_DATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EnvironmentStage`
  `create(EnvironmentStage environmentStage)`
  Creates a new environment stage.
  `EnvironmentStageView`
  `createStage(EnvironmentStageForm stageForm)`
  `void`
  `delete(String environmentStageId)`
  Deletes an environment stage.
  `EnvironmentStage`
  `getById(String environmentStageId)`
  Gets an environment category by id.
  `EnvironmentStageView`
  `getStageById(String environmentStageId)`
  `List<EnvironmentStage>`
  `search(EnvironmentStageFilters filters)`
  Searches environment stages by filters.
  `List<EnvironmentStageView>`
  `searchStages(EnvironmentStageFilters filters)`
  `default String`
  `serviceName()`
  `EnvironmentStage`
  `update(EnvironmentStage environmentCategory)`
  Updates an existing environment stage.
  `EnvironmentStageView`
  `updateStage(String environmentStageId, EnvironmentStageForm stageForm)`

- ## Method Details

  - ### serviceName

    default String serviceName()
    Specified by:
      `serviceName` in interface `ApiService`

  - ### createStage

    @POST EnvironmentStageView createStage(EnvironmentStageForm stageForm)

  - ### getStageById

    @GET @Path("/{environmentStageId:.*/EnvironmentStage[^/]*}") EnvironmentStageView getStageById(@PathParam("environmentStageId") String environmentStageId)

  - ### updateStage

    @PUT @Path("/{environmentStageId:.*/EnvironmentStage[^/]*}") EnvironmentStageView updateStage(@PathParam("environmentStageId") String environmentStageId, EnvironmentStageForm stageForm)

  - ### searchStages

    @POST @Path("/search") List<EnvironmentStageView> searchStages(EnvironmentStageFilters filters)

  - ### delete

    @DELETE @Path("/{environmentStageId:.*/EnvironmentStage[^/]*}") void delete(@PathParam("environmentStageId") String environmentStageId)
    Deletes an environment stage.
    Parameters:
      `environmentStageId` - the environment stage identifier

  - ### create

    EnvironmentStage create(EnvironmentStage environmentStage)
    Creates a new environment stage.
    Parameters:
      `environmentStage` - an `EnvironmentStage` object describing the new environment category
    Returns:
      created `EnvironmentStage` object

  - ### getById

    EnvironmentStage getById(String environmentStageId)
    Gets an environment category by id.
    Parameters:
      `environmentStageId` - the environment stage identifier
    Returns:
      found `EnvironmentStage` object

  - ### update

    EnvironmentStage update(EnvironmentStage environmentCategory)
    Updates an existing environment stage.
    Parameters:
      `environmentCategory` - an `EnvironmentStage` object describing the new properties of the environment category
    Returns:
      updated `EnvironmentStage` object

  - ### search

    List<EnvironmentStage> search(EnvironmentStageFilters filters)
    Searches environment stages by filters.
    Parameters:
      `filters` - an `EnvironmentStageFilters` object describing the search criteria
    Returns:
      list of matching `EnvironmentStage`s